Hoppa till huvudinnehåll

Den här webbläsaren stöds inte längre.

Uppgradera till Microsoft Edge och dra nytta av de senaste funktionerna och säkerhetsuppdateringarna, samt teknisk support.

Ladda ned Microsoft Edge Mer information om Internet Explorer och Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

Rubrikparametrar

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

Frågeparametrar

api-version string krävs

The API version to use for this operation.

Begärandetext

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string krävs

The unique identifier for the insights report.

metadata InsightsMetadata krävs

Metadata about the insights.

createdAt string krävs

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string krävs

Enum describing allowed operation states.

Något av följande:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string krävs

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison krävs

The request of the insights report.

Något av följande:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum krävs

The type of insights request.

EvaluationRunClusterInsight
evalId string krävs

Evaluation Id for the insights.

runIds string[] krävs

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string krävs

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum krävs

The type of request.

AgentClusterInsight
agentName string krävs

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string krävs

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum krävs

The type of request.

EvaluationComparison
evalId string krävs

Identifier for the evaluation.

baselineRunId string krävs

The baseline run ID for comparison.

treatmentRunIds string[] krävs

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Något av följande:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum krävs

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] krävs

Comparison results for each treatment run against the baseline.

method string krävs

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum krävs

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult krävs

Insights from the cluster analysis.

summary InsightSummary krävs

Summary of the error cluster analysis.

sampleCount integer krävs

Total number of samples analyzed.

uniqueSubclusterCount integer krävs

Total number of unique subcluster labels.

uniqueClusterCount integer krävs

Total number of unique clusters.

method string krävs

Method used for clustering.

usage ClusterTokenUsage krävs

Token usage for cluster analysis

inputTokenUsage integer krävs

input token usage

outputTokenUsage integer krävs

output token usage

totalTokenUsage integer krävs

total token usage

clusters InsightCluster[] krävs

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer krävs

X-axis coordinate.

y integer krävs

Y-axis coordinate.

size integer krävs

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum krävs

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult krävs

Insights from the cluster analysis.

summary InsightSummary krävs

Summary of the error cluster analysis.

sampleCount integer krävs

Total number of samples analyzed.

uniqueSubclusterCount integer krävs

Total number of unique subcluster labels.

uniqueClusterCount integer krävs

Total number of unique clusters.

method string krävs

Method used for clustering.

usage ClusterTokenUsage krävs

Token usage for cluster analysis

inputTokenUsage integer krävs

input token usage

outputTokenUsage integer krävs

output token usage

totalTokenUsage integer krävs

total token usage

clusters InsightCluster[] krävs

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer krävs

X-axis coordinate.

y integer krävs

Y-axis coordinate.

size integer krävs

Size of the chart element.

Svar

The request has succeeded and a new resource has been created as a result.

Brödtext

Content-Type: application/json
id string krävs

The unique identifier for the insights report.

metadata InsightsMetadata krävs

Metadata about the insights.

createdAt string krävs

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string krävs

Enum describing allowed operation states.

Något av följande:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string krävs

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison krävs

The request of the insights report.

Något av följande:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum krävs

The type of insights request.

EvaluationRunClusterInsight
evalId string krävs

Evaluation Id for the insights.

runIds string[] krävs

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string krävs

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum krävs

The type of request.

AgentClusterInsight
agentName string krävs

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string krävs

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum krävs

The type of request.

EvaluationComparison
evalId string krävs

Identifier for the evaluation.

baselineRunId string krävs

The baseline run ID for comparison.

treatmentRunIds string[] krävs

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Något av följande:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum krävs

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] krävs

Comparison results for each treatment run against the baseline.

method string krävs

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum krävs

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult krävs

Insights from the cluster analysis.

summary InsightSummary krävs

Summary of the error cluster analysis.

sampleCount integer krävs

Total number of samples analyzed.

uniqueSubclusterCount integer krävs

Total number of unique subcluster labels.

uniqueClusterCount integer krävs

Total number of unique clusters.

method string krävs

Method used for clustering.

usage ClusterTokenUsage krävs

Token usage for cluster analysis

inputTokenUsage integer krävs

input token usage

outputTokenUsage integer krävs

output token usage

totalTokenUsage integer krävs

total token usage

clusters InsightCluster[] krävs

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer krävs

X-axis coordinate.

y integer krävs

Y-axis coordinate.

size integer krävs

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum krävs

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult krävs

Insights from the cluster analysis.

summary InsightSummary krävs

Summary of the error cluster analysis.

sampleCount integer krävs

Total number of samples analyzed.

uniqueSubclusterCount integer krävs

Total number of unique subcluster labels.

uniqueClusterCount integer krävs

Total number of unique clusters.

method string krävs

Method used for clustering.

usage ClusterTokenUsage krävs

Token usage for cluster analysis

inputTokenUsage integer krävs

input token usage

outputTokenUsage integer krävs

output token usage

totalTokenUsage integer krävs

total token usage

clusters InsightCluster[] krävs

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer krävs

X-axis coordinate.

y integer krävs

Y-axis coordinate.

size integer krävs

Size of the chart element.

Client error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Förfrågan

POST /insights HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
sv-se
Dina sekretessalternativ
  • Ansvarsfriskrivning för AI
  • Tidigare versioner
  • Blogg
  • Bidra
  • Sekretess
  • Konsumenthälsans integritet
  • Användningsvillkor
  • Varumärken
  • © Microsoft 2026